import matplotlib.pyplot as plt
numargs = t.numargs
[ df ] = [0.9,] * numargs
rv = t(df)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = t.cdf(x, df)
h = plt.semilogy(np.abs(x - t.ppf(prb, df)) + 1e-20)

# Random number generation

R = t.rvs(df, size=100)
